" Install vim-plug if it is not already installed, for
" Portability's sake
if empty(glob('~/.local/share/nvim/site/autoload/plug.vim'))
  silent !curl -fLo ~/.local/share/nvim/site/autoload/plug.vim --create-dirs
		\ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
  autocmd VimEnter * PlugInstall --sync | source $MYVIMRC
endif

" Plugins will be downloaded under the specified directory.
call plug#begin('~/.config/nvim/plugged')

" Declare the list of plugins.
Plug 'itchyny/lightline.vim'
Plug 'tpope/vim-vinegar'
Plug 'tpope/vim-surround'
Plug 'tpope/vim-fugitive'
Plug 'ap/vim-css-color'
Plug 'godlygeek/tabular'
Plug 'plasticboy/vim-markdown'

" List ends here. Plugins become visible to Vim after this call.
call plug#end()

" Personal preference stuff 
set number
set tabstop=4
set smartcase
set colorcolumn=80
set cursorline
colorscheme industry

" Use mouse
set mouse=a
" set ttymouse=sgr

" Syntax and some plugins
:filetype plugin on
:syntax on

" Set the viki root directory
" let g:wiki_root = '~/vimwiki'

" lightline is installed so this is not necessary
set noshowmode
set laststatus=2
if !has('gui_running')
	set t_Co=256
endif

